
Figure - Bug #118667
【IOVDEV-33546】【内部】【VC1】【0072】【台架】【EE环境】【副屏】【第三方应用】副屏自动重启后
火影忍者无法打开，无法使用
2023-06-08 17:12 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: Urgent Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.C104

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023-06-08 10:31

【开机次数】：第275次

【前提条件】：

1.副屏上电

2.下载并安装王者荣耀、火影忍者、原神

3.控制中心打开录屏

【问题操作步骤】：

1.将三个游戏拖拽至同一个文件夹内

2.依次打开游戏返回HOME页

【实际结果】：自动重启后启动火影忍者，应用无法使用，只有卸载安装才可以使用

【期望结果】：游戏可以正常打开运行

【备注】：自动重启后游戏应用无法使用？用户存储的数据卸载掉再安装时间要很久。游戏应用重装可以数据都在还但是若是其他应用

重装数据清除了就无法再恢复，而且是因重启而导致的应用无法使用，无法接受此状况

台架实时Log地址：https://ofs.human-horizons.com/#/download/index/yikAOEt67Xs%3D

台架历史Log地址：https://ofs.human-horizons.com/#/download/index/CVzi0kg1KPg%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/ZCkIqYVz%2BjM%3D

【影响版本】：副屏：01.00.0106.C104

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-08 17:15 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118667

#2 - 2023-06-09 11:45 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决
https://ofs.human-horizons.com/#/download/index/yikAOEt67Xs%3D
https://ofs.human-horizons.com/#/download/index/CVzi0kg1KPg%3D
https://ofs.human-horizons.com/#/download/index/ZCkIqYVz%2BjM%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118667


- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

火影忍者应用加载so库失败，导致崩溃，无法进入

在系统侧无法修改，需要应用适配，并不是因为重启引起的，但不清楚应用的内部逻辑，无法确定复现场景

如果重装或者清除应用数据可以修复，建议重装或者清除数据(在自己使用的手机上也遇到过这种情况，同样的操作方式可以恢复)

-------------------------------------

06-08 10:36:50.351 20612 20612 E AndroidRuntime: FATAL EXCEPTION: main

06-08 10:36:50.351 20612 20612 E AndroidRuntime: Process: com.tencent.KiHan, PID: 20612

06-08 10:36:50.351 20612 20612 E AndroidRuntime: java.lang.UnsatisfiedLinkError: dlopen failed:

"/data/app/~~4qm8c8t4qDtU_v2M4OUN9A==/com.tencent.KiHan-vQDBG1zNGe2icvvZU4tSRw==/lib/arm64/libtprt.so" has bad ELF magic: 00000000

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at java.lang.Runtime.loadLibrary0(Runtime.java:1077)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at java.lang.Runtime.loadLibrary0(Runtime.java:998)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at java.lang.System.loadLibrary(System.java:1656)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at com.tencent.tpshell.TPShellApplication.<clinit>(Unknown Source:2)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at java.lang.Class.newInstance(Native Method)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.app.AppComponentFactory.instantiateApplication(AppComponentFactory.java:76)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.support.v4.app.CoreComponentFactory.instantiateApplication(CoreComponentFactory.java:49)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.app.Instrumentation.newApplication(Instrumentation.java:1178)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.app.LoadedApk.makeApplication(LoadedApk.java:1356)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.app.ActivityThread.handleBindApplication(ActivityThread.java:6705)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.app.ActivityThread.access$1500(ActivityThread.java:248)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2054)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

06-08 10:36:50.351 20612 20612 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

06-08 10:36:50.353 14965 15752 I am_crash: [20612,0,com.tencent.KiHan,986201668,java.lang.UnsatisfiedLinkError,dlopen failed:

"/data/app/~~4qm8c8t4qDtU_v2M4OUN9A==/com.tencent.KiHan-vQDBG1zNGe2icvvZU4tSRw==/lib/arm64/libtprt.so" has bad ELF magic:

00000000,Runtime.java,1077]

-------------------------------------

#3 - 2023-06-12 17:27 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

第三方应用自身问题

#4 - 2023-06-12 17:27 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-12 17:27 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
